> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/general/application/wisej.web.application.requesttype.md).

# Application.RequestType

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Type of incoming request. <mark style="color:blue;background-color:green;">Since 3.5.5</mark>

{% tabs %}
{% tab title="C#" %}

```csharp
public enum RequestType : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum RequestType As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name          | Description                                                                                                                                      |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| **DataCount** | Request to return the number of records available for a list control.                                                                            |
| **DataRead**  | Request to read a data pages for a list control.                                                                                                 |
| **Event**     | Request to process events from the browser.                                                                                                      |
| **Load**      | The application session is being loaded for the first time. See also [ApplicationStart](/api/wisej.web/general/application.md#applicationstart). |
| **Reload**    | The application session is being reloaded. See also [ApplicationRefresh](/api/wisej.web/general/application.md#applicationrefresh).              |
| **Service**   | Service (or postback) request to the be processed by a [IWisejHandler](/api/wisej.core/interfaces/wisej.core.iwisejhandler.md) implementation.   |

## Used By

| Name                                                                                           | Description                                                                                         |
| ---------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------- |
| [RequestEventArgs.Type](/api/wisej.web/general/application/wisej.web.requesteventargs.md#type) | Returns the [RequestType](/api/wisej.web/general/application/wisej.web.application.requesttype.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/application/wisej.web.application.requesttype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
